Status: Closed

Priority: Normal

Assignee: Denis Rouzaud

Category: Symbology

Affected QGIS version:3.3(master) Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 27802

Description

With the new addition to copy and paste part of style by Denis, it always gives an error of geometry mismatch between source and target

layers.

IMO, the validation needs to be done on every component. As an example: you might want to copy Form style from a point layer and paste

it to a line layer with identical fields. Currently, it comes up with geometry error. But instead, it should check the attribute columns and if

they are identical, there should not be an issue with pasting it to the target layer.

History

#1 - 2018-10-04 02:11 PM - Saber Razmjooei

- Assignee set to Denis Rouzaud

#2 - 2018-10-05 01:08 AM - Nyall Dawson

Fixed?

#3 - 2018-10-05 01:44 AM - Denis Rouzaud

- Resolution set to fixed/implemented

- Status changed from Open to Closed

Yes, badly spelled the commit
